App\Entity\AchatRetour:
    type: entity
    table: achat_retour
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        numIncrement:
            type: integer
            nullable: true
        numRetour:
            type: string
            length: 255
            fixed: false
            nullable: true
        numAvoir:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateRetour:
            type: datetime
            nullable: true
        totalHT:
            type: float
            nullable: false
        totalTVA:
            type: float
            nullable: false
        totalTTC:
            type: float
            nullable: false
        totalRemise:
            type: float
            nullable: true
        scanBonRetour:
            type: string
            length: 255
            fixed: false
            nullable: true
        scanAvoir:
            type: string
            length: 255
            fixed: false
            nullable: true
        estComptabilise:
            type: boolean
            nullable: true
        notes:
            type: text
            nullable: true
    oneToMany:
        rproduits:
            targetEntity: AchatRetourProduit
            mappedBy: achatRetour
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        achat:
            targetEntity: Achat
            cascade: {  }
            mappedBy: null
            inversedBy: retours
            joinColumns:
                achat_id:
                    referencedColumnName: id
            orphanRemoval: false
        compte:
            targetEntity: Compte
            cascade: [persist]
            mappedBy: null
            inversedBy: retours
            joinColumns:
                compte_id:
                    referencedColumnName: id
            orphanRemoval: true